/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */



/**
 * Les variables du jeu
 * 
 */

var game; 


var nWidth = 640;
var nHeight = 960;


document.addEventListener("DOMContentLoaded", Main, false); // appel au chargement de la page


/**
 * Fonction principale
 * Appelée au chargement de la page
 * 
 */
function Main()
{
    console.log("Main");

    // creation de la zone de jeu - API canvas
    game = new Phaser.Game(nWidth, nHeight, Phaser.AUTO, "idGameDiv", {preload:onPreload, create:onCreate, update:onUpdate});


    /**
     * Utilisée pour le debug du jeu
     * Appelée automatiquement par les classes du jeu - à l'instanciation
     * 
     * @return {[type]} [description]
     */
    game.log = function()
    {
        console.log("%c  Lancement de l'interface "+game.state.getCurrentState().state.current+" Class  ","color:white;background:red");
    }


    // préparation des interfaces du jeu
    game.state.add("Boot", boot);
    game.state.add("Loading", preload);
    game.state.add("GameTitle", gameAccueil);

    game.state.start("Boot");// lancement du jeu - interface démarrage
}



/**
 * Préchargement des éléments du jeu
 * 
 * @return {[type]} [description]
 */
function onPreload()
{ 
    // game.stage.backgroundColor = '#cccccc';// la couleur de fond du jeu
}



/**
 * Création de la scène du jeu,
 * mise en place des graphismes...
 * 
 * @return {[type]} [description]
 */
function onCreate() 
{
}


/**
 * Appelée en continu pendant le jeu
 * 
 * @return {[type]} [description]
 */
function onUpdate() 
{
}




