/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */



/**
 * Le Framework de jeux JavaScript Phaser
 *
Phaser v2.0.5 - http://phaser.io - @photonstorm - (c) 2014 Photon Storm Ltd. 
https://github.com/photonstorm/phaser
http://examples.phaser.io/
 */



/**
 * Classe de préchargement de tous les éléments du jeu
 * 
 * @param  {[type]} game [description]
 * @return {[type]}      [description]
 */
preload = {

/**
 * Les méthodes
 * 
 * @type {Object}
 */

     /**
      * Initialisation de la classe
      * Appel à l'initialisation de la classe
      * Utilisation du debug par exemple
      * 
      * @return {[type]} [description]
      */
     init: function() 
     {
          game.log();// appel du debug
     },


     /**
      * Préchargement des éléments du jeu
      * 
      * @return {[type]} [description]
      */
	   preload: function()
     {
        // création d'une barre de chargement en cours
        var loadingBar = game.add.sprite(320, 360, "loading");
        loadingBar.anchor.setTo(0.5);

        game.load.setPreloadSprite(loadingBar);// mise à jour de la barre de chargement

        // ajoute un logo au dessus de la barre de chargement
        var logo = game.add.sprite(320, 280, "logo").anchor.setTo(0.5);

        // chargement de toutes les images du jeu
        game.load.image("background","assets/sprites/background.png");
        game.load.image("snow_mask","assets/sprites/snow_mask.png");
        game.load.image("gametitle","assets/sprites/title-game.png");
        game.load.image("gamesubtitle","assets/sprites/sub-title-game.png");
        game.load.image("blackfade","assets/sprites/blackfade.png");

        // chargement des animations du jeu
        game.load.spritesheet("snowflakes", "assets/sprites/snowflakes.png", 17, 17);
        game.load.spritesheet("snowflakes_large", "assets/sprites/snowflakes_large.png", 64, 64);

        // chargement de la music du jeu
        this.load.audio("music","assets/sounds/music.mp3");   
	   },


     /**
      * Création de la scène du jeu,
      * mise en place des graphismes...
      * 
      * @return {[type]} [description]
      */
  	create: function()
    {
		    game.state.start("GameTitle");// lance l'écran suivant
	  }
}    



